//  ----------------------------------------------------------------------
// | Open Archives Initiative Repository Explorer - version 1.0-1.1       |
// | Hussein Suleman                                                      |
// | January 2001                                                         |
//  ----------------------------------------------------------------------
// |  Virginia Polytechnic Institute and State University                 |
// |  Department of Computer Science                                      |
// |  Digital Libraries Research Laboratory                               |
//  ----------------------------------------------------------------------

// ======================================================================
//  Module     : parser
//  Purpose    : Parse valid XML
// ======================================================================

#ifndef _PARSERODL_
#define _PARSERODL_

#include "taglist.h"

void ProcessXIdentify ( TagList *tl, char **requestURL, char **responseDate );
void ProcessXListSets ( TagList *tl, char **requestURL, char **responseDate );
void ProcessXListMetadataFormats ( TagList *tl, char *identifier, char **requestURL, char **responseDate );
void ProcessXListIdentifiers ( TagList *tl, char **requestURL, char **responseDate );
void ProcessXGetRecord ( TagList *tl, char **requestURL, char **responseDate );
void ProcessXListRecords ( TagList *tl, char **requestURL, char **responseDate );
void ProcessXPutRecord ( TagList *tl, char **requestURL, char **responseDate );

#endif
